Bug 1247537 - yum groups for RHGS Server and Console are listed under Available Language Groups instead of Available groups
yum groups for RHGS Server and Console are listed under Available Language G...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
3.1
Unspecified Unspecified
high Severity high
: ---
: RHGS 3.1.1
Assigned To: Sreenath G
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks: 1251815
  Show dependency treegraph
 
Reported: 2015-07-28 05:22 EDT by RamaKasturi
Modified: 2015-10-05 03:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:21:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RamaKasturi 2015-07-28 05:22:08 EDT
Description of problem:
When user tries to run 'yum grouplist' to list all the available groups, all the following groups related to Console and Server are listed under Available Language Groups instead of Available Groups.

http://fpaste.org/248805/43806457/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RHEL6.7 and subscribe to RHS,RHSC,Nagios,Samba and Ganesha via subscription manager
2. Run yum grouplist
3.

Actual results:
User will be able to see all the RHG Server and Console packages are listed under Available Language Groups with [False] as the suffix. For more info please refer to the link given in the description.

Expected results:
User should be able to see all the RHG Server and Console packages being listed under Availabe Groups.

Additional info:
Comment 5 Sreenath G 2015-09-09 23:30:37 EDT
Compose groups (comps.xml) reuploaded (after fixing some repo issues) to RHN/CDN which should fix this problem.
Comment 6 RamaKasturi 2015-09-10 05:40:53 EDT
Installed RHGS 3.1.1 ISO based out of RHEL6.7 and enabled required repos.

With the fix made i see that the RHGS, RHGSC, Samba and Ganesha groups are listed under Available Groups and not in Available Language Groups. Output from 'yum grouplist' at CDN.

Installed Groups:
   Additional Development
   E-mail server
   Gluster File System for OpenStack Swift
   Graphical Administration Tools
   Hardware monitoring utilities
   Large Systems Performance
   Legacy UNIX compatibility
   Network Infrastructure Server
   Network file system client
   Networking Tools
   Performance Tools
   Perl Support
   RH-Gluster-Core
   RH-Gluster-Tools
   Scalable Filesystems
   Security Tools
   Storage Availability Tools
   System Management
   System administration tools
   Virtualization
   Virtualization Tools
   iSCSI Storage Client
Available Groups:
   Backup Client
   Backup Server
   Base
   CIFS file server
   Client management tools
   Compatibility libraries
   Console internet tools
   Debugging Tools
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform
   Desktop Platform Development
   Development tools
   Dial-up Networking Support
   Directory Client
   Directory Server
   Eclipse
   Emacs
   FCoE Storage Client
   FTP server
   Fonts
   General Purpose Desktop
   Graphics Creation Tools
   Guest Agents
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Browser
   Java Platform
   KDE Desktop
   Legacy X Window System compatibility
   Mainframe Access
   Messaging Client Support
   MySQL Database client
   MySQL Database server
   NFS file server
   Network Storage Server
   PHP Support
   PostgreSQL Database client
   PostgreSQL Database server
   Print Server
   Printing client
   RH-Gluster-AD-Integration
   RH-Gluster-Console
   RH-Gluster-NFS-Ganesha
   RH-Gluster-Nagios-Server
   RH-Gluster-Samba-Server
   Remote Desktop Clients
   Ruby Support
   SNMP Support
   Scientific support
   Server Platform
   Server Platform Development
   Smart card support
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization Client
   Virtualization Platform
   Web Server
   Web Servlet Engine
   Web-Based Enterprise Management
   X Window System

 Output of 'yum grouplist' at RHN.

Installed Groups:
   Additional Development
   Console internet tools
   Debugging Tools
   Desktop Platform
   Directory Client
   E-mail server
   Fonts
   Graphical Administration Tools
   Hardware monitoring utilities
   Java Platform
   Large Systems Performance
   Legacy UNIX compatibility
   Legacy X Window System compatibility
   NFS file server
   Network file system client
   Networking Tools
   PHP Support
   Performance Tools
   Perl Support
   PostgreSQL Database client
   PostgreSQL Database server
   RH-Gluster-Core
   Scientific support
   Security Tools
   Server Platform
   System administration tools
   Web Server

Available Groups:
   Backup Client
   Backup Server
   Base
   CIFS file server
   Client management tools
   Compatibility libraries
   Desktop
   Desktop Debugging and Performance Tools
   Desktop Platform Development
   Development tools
   Dial-up Networking Support
   Directory Server
   Eclipse
   Emacs
   FCoE Storage Client
   FTP server
   General Purpose Desktop
   Gluster File System for OpenStack Swift
   Graphics Creation Tools
   Guest Agents
   Identity Management Server
   Infiniband Support
   Input Methods
   Internet Browser
   JBoss EAP 6
   KDE Desktop
   Mainframe Access
   Messaging Client Support
   MySQL Database client
   MySQL Database server
   Network Infrastructure Server
   Network Storage Server
   Print Server
   Printing client
   RH-Gluster-AD-Integration
   RH-Gluster-Console
   RH-Gluster-NFS-Ganesha
   RH-Gluster-Nagios-Server
   RH-Gluster-Samba-Server
   RH-Gluster-Tools
   Remote Desktop Clients
   Ruby Support
   SNMP Support
   Scalable Filesystems
   Server Platform Development
   Smart card support
   Storage Availability Tools
   System Management
   TeX support
   Technical Writing
   TurboGears application framework
   Virtualization
   Virtualization Client
   Virtualization Platform
   Virtualization Tools
   Web Servlet Engine
   Web-Based Enterprise Management
   X Window System
   iSCSI Storage Client
  

Verified at both RHN and CDN. Moving the bug to verified state.
Comment 8 errata-xmlrpc 2015-10-05 03:21:44 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.